Tag
Tag List
Use this API to list all tags.
GET /tag/list
Query string parameters
| Field | Type | Description |
|---|---|---|
| firstRecord required | integer | First record to return. Default: 1 |
| count required | integer | Number of records to be returned from the first record Default: 20, Max count limit: 100 |
| inUse | boolean | Indicates if the tag is in use. 1-yes, 0-no |
| q | string | filter data by tag name |
- Response
- Schema
- Error Codes
{
"success": true,
"data": {
"response": {
"acknowledgement": "Success",
"data": {
"tagList": [
{
"tagId": 3,
"name": "Cyber Security",
"status": "Active"
}
],
"totalRecords": 1
},
"error": {
"code": "",
"internal_message": "",
"moreInfo": []
}
}
}
}
| Field | Type | Description |
|---|---|---|
| tagId | int | ID of the tag |
| name | string | Name of the tag |
| status | boolean | Active/Disabled status of the tag |
| totalRecords | integer | Count of records returned |
| Code | Description |
|---|---|
| 1001 | "Missing tagId" |
| 1002 | "Invalid tagId" |
| 1003 | "Invalid firstRecord" |
| 1004 | "Invalid count" |
For general error details, click here.
Tag Details - Courses
Use this API to get a list of Courses that use a specific tag.
GET /tag/{tagId}/detail
Path parameters
| Field | Type | Description |
|---|---|---|
| tagId required | integer | A single tag ID |
- Response
- Schema
- Error Codes
{
"success": true,
"data": {
"response": {
"acknowledgement": "Success",
"data": {
"tagId": 1,
"name": "AWS",
"courses": [
{
"courseId": 1117,
"title": "Test Course",
"courseCode": "0021",
"thumbnail": null
},
{
"courseId": 3,
"title": "HTM Validation.",
"courseCode": "101",
"thumbnail": "thumbnail.jpg"
}
]
},
"error": {
"code": "",
"internal_message": "",
"moreInfo": []
}
}
}
}
| Field | Type | Description | |
|---|---|---|---|
| tagId | int | ID of the tag | |
| name | string | Name of the tag | |
| courses | JSON Array | Details of the course | |
| courseId | integer | ID of the course | |
| title | string | Name of the course | |
| courseCode | string | Code associated with the course | |
| thumbnail | string | Course Thumbnail |
| Code | Description |
|---|---|
| 1001 | "Missing tagId" |
| 1002 | "Invalid tagId" |
For general error details, click here.